Altostrat Studio is here — the AI-native network operations IDE for engineers running production. Terminal, diagrams, runbooks, and Copilot in one workspace. Get started →
curl --request PATCH \
--url https://v1.api.altostrat.io/workspaces/{workspaceId}/billing-accounts/{billingAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "ACME Corp (International)",
"email": "global.billing@acme.com",
"phone": "+15559876543",
"description": "Primary account for all international billing.",
"address": {
"country": "US",
"line1": "123 Main Street",
"line2": "Suite 456",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105"
}
}
'{
"id": "cus_a1b2c3d4e5f6g7h8",
"workspace_id": "ws_a1b2c3d4e5f6g7h8",
"name": "ACME Corp Billing",
"email": "billing@acme.com",
"phone": "+15551234567",
"description": "For US-based operations",
"currency": "usd",
"address": {
"country": "US",
"line1": "123 Main Street",
"line2": "Suite 456",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105"
},
"created_at": "2025-10-29T00:40:06.000000Z",
"updated_at": "2025-10-29T00:40:06.000000Z"
}Updates the details of a billing account. Any parameters not provided will be left unchanged. This operation also updates the corresponding Customer object in Stripe.
curl --request PATCH \
--url https://v1.api.altostrat.io/workspaces/{workspaceId}/billing-accounts/{billingAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "ACME Corp (International)",
"email": "global.billing@acme.com",
"phone": "+15559876543",
"description": "Primary account for all international billing.",
"address": {
"country": "US",
"line1": "123 Main Street",
"line2": "Suite 456",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105"
}
}
'{
"id": "cus_a1b2c3d4e5f6g7h8",
"workspace_id": "ws_a1b2c3d4e5f6g7h8",
"name": "ACME Corp Billing",
"email": "billing@acme.com",
"phone": "+15551234567",
"description": "For US-based operations",
"currency": "usd",
"address": {
"country": "US",
"line1": "123 Main Street",
"line2": "Suite 456",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105"
},
"created_at": "2025-10-29T00:40:06.000000Z",
"updated_at": "2025-10-29T00:40:06.000000Z"
}Documentation Index
Fetch the complete documentation index at: https://altostrat.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Enter your JWT in the format: Bearer {token}
The ID of the workspace.
"ws_a1b2c3d4e5f6g7h8"
The ID of the billing account, which corresponds to a Stripe Customer ID (cus_...).
"cus_a1b2c3d4e5f6g7h8"
The new name for the billing account.
"ACME Corp (International)"
The new primary billing email address.
"global.billing@acme.com"
The new billing contact phone number.
"+15559876543"
An updated description for the billing account.
"Primary account for all international billing."
Show child attributes
The updated billing account object.
Unique identifier for the billing account (Stripe Customer ID), prefixed with cus_.
"cus_a1b2c3d4e5f6g7h8"
The ID of the workspace this billing account belongs to.
"ws_a1b2c3d4e5f6g7h8"
The name of the billing account.
"ACME Corp Billing"
The primary billing email address.
"billing@acme.com"
The billing contact phone number.
"+15551234567"
An optional description for the billing account.
"For US-based operations"
The three-letter ISO currency code for the billing account.
usd, zar, eur, gbp, aud "usd"
Show child attributes
The timestamp when the billing account was created.
"2025-10-29T00:40:06.000000Z"
The timestamp when the billing account was last updated.
"2025-10-29T00:40:06.000000Z"
Was this page helpful?